Class | Sequel::SQL::WindowFunction
In: | lib/sequel/sql.rb
Parent: | GenericExpression

A `WindowFunction` is a grouping of a `Function` with a `Window` over which it operates.

### Methods

new

### Attributes

function | [R] | The function to use, should be an `SQL::Function`.
window | [R] | The window to use, should be an `SQL::Window`.

### Public Class methods

new(function, window)

Set the function and window.

[Source]

          # File lib/sequel/sql.rb, line 1567
    1567:       def initialize(function, window)
    1568:         @function, @window = function, window
    1569:       end

[Validate]